/*
 * ImageDescriptionForm.h
 *
 *  Created on: Oct 6, 2011
 *      Author: Gapchich Vlad
 */

#ifndef __IMAGEDESCRIPTIONFORM_H__
#define __IMAGEDESCRIPTIONFORM_H__

#include <QWidget>

class QLineEdit;
class QPushButton;
class QVBoxLayout;
class QHBoxLayout;

class ImageDescriptionForm : public QWidget{
	Q_OBJECT
public:
	ImageDescriptionForm(QWidget *aParent = 0);
	virtual ~ImageDescriptionForm();

public slots:
	void setDescription();

signals:
	void descriptionSet(QString aDescription);

private:
	QLineEdit *image_description_;
	QPushButton *button_ok_;
	QPushButton *button_cancel_;

	QVBoxLayout *layout_v_;
	QHBoxLayout *layout_h_;
};

#endif /* __IMAGEDESCRIPTIONFORM_H__ */

/*
 *
 */
