/*
 * ImageDescriptionForm.h
 *
 *  Created on: Oct 11, 2011
 *      Author: Gapchich Vlad
 */

#ifndef __OPTIONSFORM_H__
#define __OPTIONSFORM_H__

#include <QWidget>

class QCheckBox;
class QPushButton;
class QVBoxLayout;
class QHBoxLayout;

class OptionsForm : public QWidget {
	Q_OBJECT
public:
	OptionsForm(QWidget *aParent = 0);
	virtual ~OptionsForm();

	bool autoColorGeneration();

public slots:
	void setOptions();

signals:
	void optionsSet();

private:
	QCheckBox *auto_color_generation_;
	QPushButton *button_ok_;
	QPushButton *button_cancel_;

	QVBoxLayout *layout_v_;
	QHBoxLayout *layout_h_;
};

#endif /* __OPTIONSFORM_H__ */

/*
 *
 */
